import axios from '../utils/request';

export async function login (email, password) {
  const res = await axios.post(`/api/v1/login`, {
    email, password, authCode: ''
  });
  return res.data;
}

export async function fetchCurrentUser () {
  return await axios.get("/api/v1/fetch_user");
}

export async function getPermissions (email) {
  console.log("fe service, getPermissions:::", email)
  return await axios.get("/api/v1/user/get_permissions", { params: { email } });
}

export async function getUserList (params) {
  return await axios.get("/api/v1/users", { params });
}

export async function getUserDetail (params) {
  return await axios.get("/api/v1/users/detail", { params });
}

export async function editUser (data) {
  return await axios.post("/api/v1/users/edit", { data });
}

export async function createUser (data) {
  return await axios.post("/api/v1/users/new", { data });
}
